Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 720690 - <dev-java/icedtea{-bin}-3.16.0: Multiple vulnerabilities (CVE-2020-{2585,2755,2756,2757,2773,2781,2800,2803,2805,2830})
Summary: <dev-java/icedtea{-bin}-3.16.0: Multiple vulnerabilities (CVE-2020-{2585,2755...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa+ cve cleanup]
Keywords:
Depends on:
Blocks: CVE-2020-2585, CVE-2020-2755, CVE-2020-2756, CVE-2020-2757, CVE-2020-2773, CVE-2020-2781, CVE-2020-2800, CVE-2020-2803, CVE-2020-2805
  Show dependency tree
 
Reported: 2020-05-02 18:14 UTC by Sam James
Modified: 2020-06-15 15:57 UTC (History)
4 users (show)

See Also:
Package list:
=dev-java/icedtea-bin-3.16.0
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James gentoo-dev Security 2020-05-02 18:14:36 UTC
See tracker.
Comment 1 Sam James gentoo-dev Security 2020-05-02 18:15:24 UTC
Been waiting for the release to file the bug.

@maintainer(s), please bump to 3.16.0 when you can (I know you only just released it!).
Comment 2 Georgy Yakovlev gentoo-dev 2020-05-10 07:45:17 UTC
bumped source version, bulding bins.
python3_7 switch will make it a bit slower than usual, need to rebuild chroots.
Comment 3 Larry the Git Cow gentoo-dev 2020-05-10 07:45:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f8f7fe90b4d4346b9e80b0ad73d82185791fc84

commit 8f8f7fe90b4d4346b9e80b0ad73d82185791fc84
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-05-10 07:26:06 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-05-10 07:44:34 +0000

    dev-java/icedtea: bump to 3.16.0
    
    Bug: https://bugs.gentoo.org/720690
    Bug: https://bugs.gentoo.org/707740
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/icedtea/Manifest              |  11 +
 dev-java/icedtea/icedtea-3.16.0.ebuild | 376 +++++++++++++++++++++++++++++++++
 2 files changed, 387 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2020-05-14 07:58:55 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b08f1493b617f6904b458c16a6534414425b1556

commit b08f1493b617f6904b458c16a6534414425b1556
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-05-14 07:56:52 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-05-14 07:57:29 +0000

    dev-java/icedtea-bin: bump to 3.16.0
    
    Bug: https://bugs.gentoo.org/720690
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/icedtea-bin/Manifest                  |  14 +++
 dev-java/icedtea-bin/icedtea-bin-3.16.0.ebuild | 139 +++++++++++++++++++++++++
 2 files changed, 153 insertions(+)
Comment 5 Agostino Sarubbo gentoo-dev 2020-05-14 13:22:15 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-05-14 13:25:41 UTC
x86 stable
Comment 7 Sam James gentoo-dev Security 2020-05-14 21:36:43 UTC
arm64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2020-05-15 11:47:41 UTC
ppc64 stable.

Maintainer(s), please cleanup.
Comment 9 Georgy Yakovlev gentoo-dev 2020-05-24 04:11:52 UTC
cleanup done
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2020-06-15 15:57:50 UTC
This issue was resolved and addressed in
 GLSA 202006-22 at https://security.gentoo.org/glsa/202006-22
by GLSA coordinator Aaron Bauman (b-man).